UbuntuUpdates.org

Package "ceph"

Name: ceph

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • metadata server for the ceph distributed file system
  • OCF-compliant resource agents for Ceph
  • Ceph test and benchmarking tools
  • Java library for the Ceph File System

Latest version: 12.2.12-0ubuntu0.18.04.4
Release: bionic (18.04)
Level: updates
Repository: universe

Links

Save this URL for the latest version of "ceph": https://www.ubuntuupdates.org/ceph



Other versions of "ceph" in Bionic

Repository Area Version
base main 12.2.4-0ubuntu1
base universe 12.2.4-0ubuntu1
security universe 12.2.12-0ubuntu0.18.04.2
security main 12.2.12-0ubuntu0.18.04.2
updates main 12.2.12-0ubuntu0.18.04.4

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 12.2.12-0ubuntu0.18.04.4 2020-01-20 18:08:15 UTC

  ceph (12.2.12-0ubuntu0.18.04.4) bionic; urgency=medium

  [ Billy Olsen ]
  * Do not validate fs caps on authorize (LP: #1847822):
    - d/p/dont-validate-fs-caps-on-authorize.patch: Do not validate
      the filesystem caps with a new client connection to the monitor
      when authorizing a client connection.

  [ Dan Hill ]
  * d/p/issue38454.patch: Cherry pick of fixes for misc RGW bugs
    and cleanup of garbage collection code (LP: #1843085).

  [ Dariusz Gadomski ]
  * d/p/issue37490.patch: Cherry pick fix to optimize LVM queries
    in ceph-volume, resolving performance issues in systems under
    heavy load or with large numbers of disks (LP: #1850754).

 -- James Page <email address hidden> Thu, 28 Nov 2019 10:27:34 +0000

Source diff to previous version
1847822 CephFS authorize fails with unknown cap type
1843085 Backport of zero-length gc chain fixes to Luminous

Version: 12.2.12-0ubuntu0.18.04.3 2019-09-30 10:06:48 UTC

  ceph (12.2.12-0ubuntu0.18.04.3) bionic; urgency=medium

  [ James Page ]
  * d/p/ceph-volume-wait-for-lvs.patch: Cherry pick inflight fix to
    ensure that required wal and db devices are present before
    activating OSD's (LP: #1828617).

  [ Jesse Williamson ]
  * d/p/civetweb-755-1.8-somaxconn-configurable*.patch: Backport changes
    to civetweb to allow tuning of SOMAXCONN in Ceph RADOS Gateway
    deployments (LP: #1838109).

  [ James Page ]
  * d/p/rgw-gc-use-aio.patch: Cherry pick fix to switch to using AIO for
    garbage collection of objects in the Ceph RADOS Gateway
    (LP: #1838858).

  [ Eric Desrochers ]
  * Ensure that daemons are not automatically restarted during package
    upgrades (LP: #1840347):
    - d/rules: Use "--no-restart-after-upgrade" and "--no-stop-on-upgrade"
      instead of "--no-restart-on-upgrade".
    - d/rules: Drop exclusion for ceph-[osd,mon,mds] for restarts.

 -- James Page <email address hidden> Fri, 30 Aug 2019 10:11:09 +0100

Source diff to previous version
1828617 Hosts randomly 'losing' disks, breaking ceph-osd service enumeration
1838858 backport GC AIO to Luminous
1840347 Ceph 12.2.12 restarts services during upgrade

Version: 12.2.12-0ubuntu0.18.04.2 2019-08-29 03:07:16 UTC

  ceph (12.2.12-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: RADOS gateway remote denial of service
    - d/p/CVE-2019-10222.patch: rgw: asio: check the remote endpoint
      before processing requests.
    - CVE-2019-10222

 -- Steve Beattie <email address hidden> Tue, 27 Aug 2019 23:12:03 -0700

Source diff to previous version
CVE-2019-10222 RESERVED

Version: 12.2.12-0ubuntu0.18.04.1 2019-07-22 09:06:17 UTC

  ceph (12.2.12-0ubuntu0.18.04.1) bionic; urgency=medium

  * d/copyright: Exclude cruft from upstream tarballs.
  * New upstream point release (LP: #1829716).
  * d/p/s390x-link.patch: Drop, included upstream.

 -- James Page <email address hidden> Wed, 12 Jun 2019 11:05:49 +0100

Source diff to previous version
1829716 [SRU] ceph 12.2.12

Version: 12.2.11-0ubuntu0.18.04.2 2019-05-06 10:07:12 UTC

  ceph (12.2.11-0ubuntu0.18.04.2) bionic; urgency=medium

  * d/control: Use openssl1.0 at build and runtime as
    civetweb v1.8 is incompatible with 1.1 abi. It is
    only compatible starting with civetweb v1.10 and late.
    (LP: #1822872)

 -- Eric Desrochers <email address hidden> Fri, 26 Apr 2019 08:17:04 -0400

1822872 Bionic: Luminous radosgw incompatible with libssl1.1



About   -   Send Feedback to @ubuntu_updates